Bug 391310 - Kmail doesn't display email bodies when using qt5.11
Summary: Kmail doesn't display email bodies when using qt5.11
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 5.7.2
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-02 18:24 UTC by Fabian Maurer
Modified: 2018-03-07 16:55 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 18.04.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Maurer 2018-03-02 18:24:22 UTC
When using the Archlinux kde-unstable packages, kmail doesn't show the email bodies, it displays them completely blank. Downgrading qt5 to 5.10.1 fixes the issue.
I suspect it's an issue with qt5-webengine, but I'm not sure.


Additional info:
* kmail 17.12.2-1 ("kmail --version" shows "kmail2 5.7.2")
* qt5-webengine 5.11.0beta1-1


When clicking an email the terminal shows the following:
> void ContactSearchJob::setQuery(Criterion criterion, const QString &value, Match match) "notify@aur.archlinux.org"
> void ContactSearchJob::setQuery(Criterion criterion, const QString &value, Match match) "notify@aur.archlinux.org"
> AFTER ::::::::::::::::::::::::::::::::::::::::
> 1 : "Uncaught ReferenceError: qt is not defined"
> 1 : "Uncaught ReferenceError: qt is not defined"
Comment 1 Fabian Vogt 2018-03-06 08:10:23 UTC
Qt 5.11 WebEngine is totally broken, it crashes Falkon on 90% of all every page loads.